Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
search
/
check-redirect
Check if search query should redirect to a specific entity page
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/search/check-redirect \
  --header 'Authorization: Bearer <token>'
{
  "parameter": "<string>",
  "redirect": true
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

q
string | null

Search query filter

Response

Response indicating whether the query should redirect to a specific entity page.

parameter
string | null
redirect
boolean | null
type
enum<string> | null
Available options:
address,
block,
transaction,
user_operation,
blob,
ens_domain